package yem.wm.cm.csrm.enums;

/**
 * 任务项标识
 *
 * @Author yunshuaiwei
 * @Date 2024/6/4 9:29
 **/
public enum TaskItemTypeEnum {

    QCC("A", "企查查"),
    DATA_INTEGRATION("B", "数据集成"),
    SCORE("C", "评分"),
    TYC("D", "天眼查");


    private final String type;

    private final String name;

    TaskItemTypeEnum(String type, String name) {
        this.name = name;
        this.type = type;
    }

    public static TaskItemTypeEnum getEnum(String type) {
        TaskItemTypeEnum[] values = TaskItemTypeEnum.values();
        for (TaskItemTypeEnum value : values) {
            if (type.equals(value.getType())) {
                return value;
            }
        }
        return null;
    }

    public String getType() {
        return type;
    }

    public String getName() {
        return name;
    }
}
